Bug 106986 - The VideoRAM option should never be used with Radeon driver.
The VideoRAM option should never be used with Radeon driver.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-xfree86 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
David Lawrence
Depends On:
Blocks: 106241
  Show dependency treegraph
Reported: 2003-10-14 03:05 EDT by Mike A. Harris
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-02 14:22:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2003-10-14 03:05:27 EDT
When the VideoRAM option is used with the Radeon driver configured for
Xinerama mode, the VideoRAM option ends up force overriding autodetected
memory to the specified amount for *EACH* place it is configured.  So if
each screen on a single dualhead card has "VideoRAM 65536" listed, and it
is a 64Mb card, the driver assumes that there is 64Mb *per display* and
things go downhill from there, resulting in "clone mode" being activated.

Comment 1 Mike A. Harris 2003-10-14 03:11:25 EDT
Note that it is highly likely this problem exists in one form or another with
every driver which uses multihead, including "nv", "mga", "radeon", etc.
although that hasn't specifically been tested.  There is every reason to
believe this will break all multihead drivers in XFree86 4.3.0.  It's also
entirely possible that XFree86 handled this option differently in previous
releases of XFree86 such as 4.2.1 and earlier.

The current driver behaviour IMHO makes total sense to me, so if it did not
fail in the past with similar configuration, it was either coincidence, or
feature changes in the driver result in new behaviour, which requires
config tool changes to make sure configuration stays tracking the current
driver development, and doesn't overspecify settings unnecessarily.
Comment 2 Brent Fox 2003-10-14 12:34:09 EDT
To my knowledge, the video ram widgets have been removed from
redhat-config-xfree86 and there is no way to make the tool write the VideoRam
option to the config file.  

Are you saying that the VideoRam option already existed in the XF86Config file
before you ran the tool or did the tool write out the VideoRam option?
Comment 3 Mike A. Harris 2003-10-14 12:48:39 EDT
Oops, wrong product...
Comment 5 Brent Fox 2004-02-02 14:22:32 EST
Closing since I believe that this problem was fixed prior to RHEL 3
going gold.  Please reopen if this is still a problem.

Note You need to log in before you can comment on or make changes to this bug.